import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import TtechLogoLight from './TtechLogoLight';
import TtechLogoDark from './TtechLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const TtechLogoSvg = forwardRef(function TtechLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(TtechLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(TtechLogoLight, Object.assign({}, props, { ref: ref }));
});
export default TtechLogoSvg;
